org.apache.hc.core5.http.nio

## Interface AsyncFilterChain.ResponseTrigger

- Enclosing interface:
    AsyncFilterChain

      public static interface AsyncFilterChain.ResponseTrigger

  Response trigger that can be used to generate the final HTTP response and terminate HTTP request processing.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `pushPromise(HttpRequest promise, AsyncPushProducer responseProducer)` Pushes a request message head as a promise to deliver a response message.
    `void` | `sendInformation(HttpResponse response)` Sends an intermediate informational HTTP response to the client.
    `void` | `submitResponse(HttpResponse response, AsyncEntityProducer entityProducer)` Sends a final HTTP response to the client.

- - ### Method Detail

    - #### sendInformation

          void sendInformation(HttpResponse response)
                        throws HttpException,
                               IOException

      Sends an intermediate informational HTTP response to the client.
      Parameters:
        `response` - the intermediate (1xx) HTTP response.
      Throws:
        `HttpException` - in case of an HTTP protocol violation.
        `IOException` - in case of an I/O error.

    - #### submitResponse

          void submitResponse(HttpResponse response,
                              AsyncEntityProducer entityProducer)
                       throws HttpException,
                              IOException

      Sends a final HTTP response to the client.
      Parameters:
        `response` - the final (non 1xx) HTTP response.
      Throws:
        `HttpException` - in case of an HTTP protocol violation.
        `IOException` - in case of an I/O error.

    - #### pushPromise

          void pushPromise(HttpRequest promise,
                           AsyncPushProducer responseProducer)
                    throws HttpException,
                           IOException

      Pushes a request message head as a promise to deliver a response message.
      Parameters:
        `promise` - the request message header used as a promise.
        `responseProducer` - the push response message producer.
      Throws:
        `HttpException` - in case of an HTTP protocol violation.
        `IOException` - in case of an I/O error.

Copyright © 2005–2021 The Apache Software Foundation. All rights reserved.